CreateProject - POST
|
Path |
/api/projects |
|---|---|
|
Http Method |
POST |
Overview
NO LICENSE
Create a new project and assign the active authenticated agent as the owner. The owner has all the rights on the project by default.
Permissions
-
Global administration privileges. ADMIN
Request
Request body
{
"technicalName": "project_name",
"displayName": "Project name",
"description": "A description for the project."
}
Field descriptions
|
Field |
Type |
Required |
Description |
Constraints |
|---|---|---|---|---|
|
technicalName |
string |
Yes |
The unique technical name of the project. This is used by the app to determine the directory to store app data to. |
Project's technical name must be unique, must not contain white space, not start with a digit, and be between 1 and 24 characters long. |
|
displayName |
string |
Yes |
Name used in the app’s interface. |
Must be unique, and must be a maximum of 30 characters long. |
|
description |
string |
No |
Description of the project. |
- |
Response
Success response (201 Created)
{
"id": "68c2afa9ead54a2db24eac98958fff64",
"name": "project_name",
"technicalName": "project_name",
"displayName": "Project name",
"creationDate": "2026-01-20T12:00:28.0563423Z",
"description": "A description for the project.",
"numberOfHubs": 0,
"numberOfSources": 0,
"numberOfDataQualityControls": 0
}
Response fields
|
Field |
Type |
Description |
|---|---|---|
|
id |
string |
The generated technical id of the project. Used in the API. |
|
name |
string |
Alias of the |
|
technicalName |
string |
The name used for technical purposes in the application data. |
|
displayName |
string |
The name of a project as displayed in the interface. |
|
creationDate |
string |
The timestamp generated at creation of the project. |
|
description |
string |
The description of the project. |
|
numberOfHubs |
integer |
The number of hubs (or “business concepts“) in the model of the project. |
|
numberOfSources |
integer |
The number of sources configured on the project. |
|
numberOfDataQualityControls |
integer |
The number of quality controls configured on the project. |
Response links and embedded objects
|
Name |
Link |
Constraints |
|---|---|---|
|
diagram |
|
|
|
model |
|
|
|
modelColumns |
|
|
|
hubs |
|
|
|
links |
|
|
|
referenceTables |
|
|
|
sourceSystems |
|
|
|
versions |
|
|
|
environments |
|
|
|
hubmappings |
|
|
|
linkmappings |
|
|
|
snapshots |
|
|
|
servers |
|
|
|
dataqualities |
|
|
|
queries |
|
|
|
image |
|
|
|
informationMarts |
|
|
|
informationMartScripts |
|
|
|
export |
|
|
|
import |
|
|